openSUSE Security Update : rubygem-rdoc (openSUSE-SU-2013:0303-1)

Medium Nessus Plugin ID 74894


The remote openSUSE host is missing a security update.


rubgem rdoc was updated to fix a security issue :

CVE-2013-0256: rubygem-rdoc: XSS exploit of RDoc documentation generated by rdoc

- Ensured that rd parser files are generated before checking the manifest.


Update the affected rubygem-rdoc packages.

See Also

Plugin Details

Severity: Medium

ID: 74894

File Name: openSUSE-2013-122.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:rubygem-rdoc, p-cpe:/a:novell:opensuse:rubygem-rdoc-testsuite, cpe:/o:novell:opensuse:12.1, cpe:/o:novell:opensuse:12.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2013/02/14

Reference Information

CVE: CVE-2013-0256